Name:		solfege
Summary:	An ear-training program
Version:	3.23.4
Release:	%mkrel 4
License:	GPLv3+
Group:		Sound/Utilities
URL:		https://www.solfege.org/
Source0:	https://alpha.gnu.org/gnu/solfege/%{name}-%{version}.tar.gz
Source1:	%{name}48.png
Source2:	%{name}32.png
Source3:	%{name}16.png
Patch1:		solfege-3.20.0-link.patch
Patch2:		solfege-3.23.4-usrmove.patch
Patch3:		solfege-3.23.4-py3-webbrowser.patch
Patch4:		solfege-3.23.4-texinfo-non-utf8-input-fix.patch
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-style-xsl
BuildRequires:	gettext
BuildRequires:	libxslt-proc
BuildRequires:	python3-devel
BuildRequires:	python3-gobject3
BuildRequires:	python3-gobject-base
BuildRequires:	swig
BuildRequires:	texinfo
BuildRequires:	txt2man
BuildRequires:	xml2po
Requires:	python3-gobject3
Requires:	TiMidity++

%description
GNU Solfege is an ear-training program. These are the exercises written so far:
    * Recognise melodic and harmonic intervals
    * Compare interval sizes
    * Sing the intervals the computer asks for
    * Identify chords
    * Sing chords
    * Scales
    * Dictation
    * Remembering rhythmic patterns

%prep
%setup -q
%autopatch -p1

%build
FILE=$(ls %_datadir/sgml/docbook/xsl-stylesheets-1.*/html/chunk.xsl)
%configure --enable-docbook-stylesheet=$FILE
%make_build

%install
%make_install

chmod 755 %{buildroot}%{_libdir}/%{name}/*.so

# menu
desktop-file-install --vendor="" \
  --set-comment='Music education software' \
  --remove-category="Application" \
  --add-category="GTK" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
install -Dpm644 %SOURCE1 $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
install -Dpm644 %SOURCE2 $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -Dpm644 %SOURCE3 $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png

# python shebangs
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_bindir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS FAQ
%license COPYING
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/sol*
%{_mandir}/man1/*
%{_libdir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.svg
%{_datadir}/%{name}/
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Tue Dec 15 2020 tv <tv> 3.23.4-4.mga8
+ Revision: 1657509
- BR python3-gobject-base

* Sun Feb 16 2020 daviddavid <daviddavid> 3.23.4-2.mga8
+ Revision: 1535985
- add patch to fix build with texinfo 6.7
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Oct 13 2019 wally <wally> 3.23.4-1.mga8
+ Revision: 1452696
- new version 3.23.4
- switch to gtk3 and python3

* Sat Mar 09 2019 wally <wally> 3.22.2-10.mga7
+ Revision: 1373333
- drop unneeded requires

* Sun Sep 23 2018 umeabot <umeabot> 3.22.2-9.mga7
+ Revision: 1301102
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Update macros

* Wed Feb 17 2016 umeabot <umeabot> 3.22.2-8.mga6
+ Revision: 962868
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 danf <danf> 3.22.2-7.mga6
+ Revision: 894046
- Fixed permissions of library so debuginfo is extracted

* Wed Jan 07 2015 alexl <alexl> 3.22.2-6.mga5
+ Revision: 809188
- added Comment in desktop file

* Mon Nov 17 2014 wally <wally> 3.22.2-5.mga5
+ Revision: 797710
- add patch to fix possible startup issues after usrmove (mga#14574)

* Wed Oct 15 2014 umeabot <umeabot> 3.22.2-4.mga5
+ Revision: 742958
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.22.2-3.mga5
+ Revision: 689239
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 3.22.2-2.mga4
+ Revision: 540528
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 bersuit <bersuit> 3.22.2-1.mga4
+ Revision: 493786
- Update to new upstream version 3.22.2

* Tue Sep 24 2013 bersuit <bersuit> 3.22.1-1.mga4
+ Revision: 485433
- Update to new upstream version 3.22.1

* Fri Jun 21 2013 bersuit <bersuit> 3.22.0-1.mga4
+ Revision: 445573
- Update to new version 3.22

* Mon Jan 14 2013 umeabot <umeabot> 3.21.2-3.mga3
+ Revision: 382294
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 barjac <barjac> 3.21.2-2.mga3
+ Revision: 336210
- changed group in line with new policy

* Wed Jun 06 2012 juancho <juancho> 3.21.2-1.mga3
+ Revision: 256073
- Updated to 3.21.2

* Tue Apr 03 2012 juancho <juancho> 3.20.4-1.mga2
+ Revision: 228018
- Removed unnecesary BR txt2man
+ gregorybravas <gregorybravas>
- initial package
- imported package solfege

